FreeHandParserInternal::StyleHeader Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
FreeHandParserInternal::StyleHeader Struct Reference

small structure of FreeHandParserInternal used to stored a style header More...

## Public Member Functions
| StyleHeader ()
| constructor More...

## Public Attributes
long | m_size
| a field related to the zone size More...
int | m_type
| the zone type More...
int | m_labelId
| the label id More...
MWAWVariable< ScreenMode > | m_screen
| the screen mode More...
int | m_unknownValue
| the first unknown value More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, StyleHeader const &style)
| operator<< More...

## Detailed Description

small structure of FreeHandParserInternal used to stored a style header

## Constructor & Destructor Documentation

## ◆ StyleHeader()

FreeHandParserInternal::StyleHeader::StyleHeader | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | StyleHeader const & | style
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string FreeHandParserInternal::StyleHeader::m_extra

extra data

## ◆ m_labelId

int FreeHandParserInternal::StyleHeader::m_labelId

the label id

Referenced by FreeHandParser::readStyleHeader().

## ◆ m_screen

MWAWVariable<ScreenMode> FreeHandParserInternal::StyleHeader::m_screen

the screen mode

Referenced by FreeHandParser::readStyleHeader().

## ◆ m_size

long FreeHandParserInternal::StyleHeader::m_size

a field related to the zone size

Referenced by FreeHandParser::readColor(), FreeHandParser::readDash(), FreeHandParser::readFillStyle(), FreeHandParser::readLineStyle(), FreeHandParser::readPostscriptStyle(), and FreeHandParser::readStyleHeader().

## ◆ m_type

int FreeHandParserInternal::StyleHeader::m_type

the zone type

Referenced by FreeHandParser::readColor(), FreeHandParser::readDash(), FreeHandParser::readFillStyle(), FreeHandParser::readLineStyle(), FreeHandParser::readPostscriptStyle(), and FreeHandParser::readStyleHeader().

## ◆ m_unknownValue

int FreeHandParserInternal::StyleHeader::m_unknownValue

the first unknown value

Referenced by FreeHandParser::readStyleHeader().

The documentation for this struct was generated from the following file:

- FreeHandParser.cxx